#include<iostream>
#include<string>
typedef long long int lli;

using namespace std;

bool g(string &a, string &b){
    int s = min(a.size(), b.size());
    for(int i = 0; i < s; i++){
        if(a[i] > b[i]) return true;
    }
    return false;
}

void sort(string *a){
    for(int i = 0; i < 3; i++){
        for(int j = i+1; j < 3; j++){
            if(g(a[j], a[i])){
                string t = a[j];
                a[j] = a[i];
                a[i] = t;
            }
        }
    }
}

int main(){
    lli arri[3];
    string arrs[3];
    string s = "";
    
    for(int i = 0; i < 3; i++)
        cin >> arri[i];
    for(int i = 0; i < 3; i++)
        arrs[i] = to_string(arri[i]);
    
    sort(arrs);
    
    for(int i = 0; i < 3; i++)
        s+= arrs[i];
    
    cout << s;
    return 0;    
}